# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

### Changed

### Deprecated

### Removed

### Fixed

## [4.4.1] - 2024-03-13

### Fixed

- Issue with interpolation of polars between polars with different range of AOA

## [4.4.0] - 2024-03-13

### Added

- Creation of interpolated Polar between two reference Polars
- Creation of interpolated Airfoil between two reference Airfoils

## [4.3.0] - 2023-12-14

### Changed

- **findstall**: use `islocalmax` rather than `findpeaks` to find stall point.

## [4.2.1] - 2023-02-17

### Fixed

- **filesinput**: issue when single fileinput

## [4.2.0] - 2023-02-13

### Added

- **Polar**: add `extrapMethod` to `getcoeff`

## [4.1.0] - 2022-11-25

### Added

- **Polar**: add polypolar method
- **Airfoil** class
- **CI/CD**: automatic release

### Changed

- **Polar**: rename _analyse_ method in _analyze_ to use US spelling everywhere.

### Fixed

- **formatairfoilcoord**: fix issue with autosave
- **xf2mat**: add error when input is not a proper xfoil/xflr5 result
- **plotpolar**: fix issue when unavailable data
- **all**: add check if wrong filetype is detected

## [4.0.0] - 2022-06-09

### Added

- **Polar** class

### Changed

- **BREAKING**: All functions related to Polars now impose a Polar object as
  input and no longer accept a structure
- **BREAKING**: **xf2mat** now outputs a Polar object and not a structure
- Updated tests to reflect changes
- Big doc update

### Removed

- Duplicate tests

## [3.0.0] - 2022-06-06

### Changed

- **BREAKING**: Change file input type for **xf2mat** and **formatairfoilcoord**

## [2.0.1] - 2022-05-24

### Added

- Unit tests for **utils.selig** and **utils.lednicer**
- **xf2mat**: test for autosave

### Fixed

- **xf2mat**: bug with autosave

## [2.0.0] - 2022-04-24

### Added

- Start using MISS_HIT for style and code analysis.
- ci: Add MISS_HIT job in pipeline
- ci: Add pre-commit hook for miss_hit

### Changed

- **BREAKING**: Renamed **uiuccleaner** in **formatairfoilcoord**
- **BREAKING**: Changed output format for **nacacamber** and **nacaairfoil**

- Feat: Add possibility to select output style for **formatairfoilcoord**
- Feat: Add Selig and Lednicer utils for airfoil formatting
- Feat: Add option to select output format for **nacaairfoil**

- Style: Adopt style from MISS_HIT
- Copyright notice: change main copyright holder to the University
- Doc: Revamp `CONTRIBUTING.md` to put emphasis on MISS_HIT and conventions
- Refactor: Rework functions to lower their complexity using mh_metrics
- Refactor:  Rename lift, drag and moment coefficient variables to avoid conflict
  with `cd` command.

## [1.2.0] - 2022-04-10

### Added

- **uiuccleaner**: Add `refine` option to allow the refining of the  original
  datafile (spline interpolation to add more points).

### Changed

- Refactor of spacing function (**nacacamber**, **uiuccleaner**).

### Fixed

- **utils.parsefileinputs**: minor fix in case inputFiles is a cell array

## [1.1.0] - 2022-04-10

### Added

- **nacaairfoil**: Added `savedat` option
- **Added uiuccleaner function**.

### Changed

- **nacaairfoil**: Coordinates outputted now start at TE, go along upper side to
  LE, then go along lower side back to TE.
- **xf2mat**: Refactor input parsing.

## [1.0.0] - 2022-04-08

- Initial release

[Unreleased]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v4.4.1...master
[4.4.1]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/4.4.0...v4.4.1
[4.4.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/4.3.0...v4.4.0
[4.3.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/4.2.1...v4.3.0
[4.2.1]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/4.2.0...v4.2.1
[4.2.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/4.1.0...v4.2.0
[4.1.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/4.0.0...v4.1.0
[4.0.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/3.0.0...4.0.0
[3.0.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v2.0.1...v3.0.0
[2.0.1]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v2.0.0...v2.0.1
[2.0.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v1.2.0...v2.0.0
[1.2.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v1.1.0...v1.2.0
[1.1.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v1.0.0...v1.1.0
[1.0.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/releases/v1.0.0
